#!/usr/bin/perl
system ("clear");
print "\n";
print "*********************************************************\n";
print "*    Welcome to Rhapsody Design Manager installation    *\n";
print "*********************************************************\n\n\n";
sleep 1;

my $PWD=`pwd`;
chomp $PWD;
chdir ($PWD);
my $USER=$ENV{USER};

sub pressKey {
   local( $| ) = ( 1 );
    print "Press <Enter> to exit... ";
    my $resp = <STDIN>;
}



if ( -d "/tmp/$USER/DesignManager/license" ){
  system("rm -rf /tmp/$USER/DesignManager");
  system ("mkdir -p /tmp/$USER/DesignManager");
  }

my @args = ("Licenses/laptool/lapc", "-l", "Licenses", "-s", "/tmp/$USER/DesignManager");
my $exitstatus=system(@args);
my $exitstatus2=$exitstatus >> 8; 
if ($exitstatus2 == "3"){
    print "\n\nLicense declined. Exit from installation...\n";
    pressKey;
    exit;
}
if ($exitstatus2 == $SIG{INT}){
  exit;
}
print "\n\n";

print "Please enter the path of your Rhapsody install directory location: ";
my $RhapsodyLocation = <STDIN>;
chomp $RhapsodyLocation;
my $RhapsodyExists="NO";
if ( -f "$RhapsodyLocation/rhapsody.exe" ){
      $RhapsodyExists="YES";
}
if ( $RhapsodyExists eq "NO" ){
  print "\nNo Rhapsody installation was found.\n";
  print "Exit installation...\n\n";
  pressKey;
  exit;
}

chdir ($RhapsodyLocation);
system("gtar xzf $PWD/DesignManagerClient.tar.gz > /dev/null");
print "\n***********************************************\n";
print "*Finished Rhapsody Design Manager installation*\n";
print "***********************************************\n\n\n";
pressKey;
